org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.AddReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplica

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.AddReplica
    extends CollectionAdminRequest.CollectionShardAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, asyncId, collection`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.AddReplica()`

### Method Summary

Methods
`String` `getDataDir()`
`String` `getInstanceDir()`
`String` `getNode()`
`SolrParams` `getParams()`
`String` `getRouteKey()`
`void` `setDataDir(String dataDir)`
`void` `setInstanceDir(String instanceDir)`
`void` `setNode(String node)`
`void` `setRouteKey(String routeKey)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`getCommonParams, getShardName, setShardName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`createAlias, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteCollection, deleteShard, getContentStreams, process, reloadCollection, reloadCollection, requestStatus, setAction, setAsyncId, setCollectionName, splitShard, splitShard, splitShard, splitShard`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionAdminRequest.AddReplica

    public CollectionAdminRequest.AddReplica()

### Method Detail

#### getNode

    public String getNode()

#### setNode

    public void setNode(String node)

#### getRouteKey

    public String getRouteKey()

#### setRouteKey

    public void setRouteKey(String routeKey)

#### getInstanceDir

    public String getInstanceDir()

#### setInstanceDir

    public void setInstanceDir(String instanceDir)

#### getDataDir

    public String getDataDir()

#### setDataDir

    public void setDataDir(String dataDir)

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionShardAdminRequest`